Bug 988055 - Support for jbpm deployment via REST API in Business Central
Support for jbpm deployment via REST API in Business Central
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: CR1
: 6.0.0
Assigned To: Marco Rietveld
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 11:43 EDT by Radovan Synek
Modified: 2016-09-20 01:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:42 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-07-24 11:43:59 EDT
There is a possibility to define a deployment unit in business central UI (with details specified, such as a session strategy). This deployment can also be deleted. However, there is no such possibility via REST API - no deploy & undeploy operation (in the meaning of the jbpm runtime). 

Would it be possible to provide these two operations via REST?
Comment 1 Kris Verlaenen 2013-08-07 10:45:38 EDT
The focus of BPMS 6.0 was on the runtime apis (process and tasks), not on deployment.  I would therefore recommend postponing this to 6.1.
Comment 2 Marco Rietveld 2013-12-04 07:13:37 EST
Fixed, see https://bugzilla.redhat.com/show_bug.cgi?id=1021886
Comment 3 Radovan Synek 2014-01-21 09:58:00 EST
Verified with BPMS-6.0.0.CR1. Possible issues will be reported individually.

Note You need to log in before you can comment on or make changes to this bug.